Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Oozie error - Failing Oozie Launcher With Pig Script

Oozie error - Failing Oozie Launcher With Pig Script

Explorer

I am trying to run a simple Pig script and have scheduled it via Oozie , however , I get the following Oozie error after the script is run.

 

I am using Cloudera Enterprise Data Hub Edition Trial 5.6.0 (#54 built by jenkins on 20160211-1910 git: 1c2be84380aa23bd5d6993ec300e144c78b37bf2) .

 

2016-04-09 06:37:06,229 [uber-SubtaskRunner] INFO org.apache.pig.backend.hadoop.executionengine.mapReduceLayer.JobControlCompiler - Using reducer estimator: org.apache.pig.backend.hadoop.executionengine.mapReduceLayer.InputSizeReducerEstimator
2016-04-09 06:37:06,237 [uber-SubtaskRunner] ERROR org.apache.pig.tools.grunt.Grunt - ERROR 2017: Internal error creating job configuration.

<<< Invocation of Main class completed <<<

Failing Oozie Launcher, Main class [org.apache.oozie.action.hadoop.PigMain], exit code [2]

Oozie Launcher failed, finishing Hadoop job gracefully

Oozie Launcher, uploading action data to HDFS sequence file: hdfs://node.xxxx.com:8020/user/admin/oozie-oozi/0000000-160409060732867-oozie-oozi-W/pig--pig/action-data.seq


I see the following structure in HDFS.

[root@node ~]# hdfs dfs -ls -R /user/oozie/share/ | grep antlr*
-rw-r--r-- 3 oozie oozie 445288 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/hive/antlr-2.7.7.jar
-rw-r--r-- 3 oozie oozie 164368 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/hive/antlr-runtime-3.4.jar
-rw-r--r-- 3 oozie oozie 445288 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/hive2/antlr-2.7.7.jar
-rw-r--r-- 3 oozie oozie 164368 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/hive2/antlr-runtime-3.4.jar
-rw-r--r-- 3 oozie oozie 445288 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/pig/antlr-2.7.7.jar
-rw-r--r-- 3 oozie oozie 164368 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/pig/antlr-runtime-3.4.jar
-rw-r--r-- 3 oozie oozie 445288 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/spark/antlr-2.7.7.jar
-rw-r--r-- 3 oozie oozie 164368 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/spark/antlr-runtime-3.4.jar
-rw-r--r-- 3 oozie oozie 445288 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/sqoop/antlr-2.7.7.jar
-rw-r--r-- 3 oozie oozie 164368 2016-04-01 23:49 /user/oozie/share/lib/lib_20160401234909/sqoop/antlr-runtime-3.4.jar

2 REPLIES 2
Highlighted

Re: Oozie error - Failing Oozie Launcher With Pig Script

Explorer

Anyone ?

Highlighted

Re: Oozie error - Failing Oozie Launcher With Pig Script

New Contributor

I met the same error

error.png

 

Don't have an account?
Coming from Hortonworks? Activate your account here